Bug 425799 - 8Kingdoms core dump
8Kingdoms core dump
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 8Kingdoms (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-15 18:03 EST by Wart
Modified: 2008-01-06 20:28 EST (History)
0 users

See Also:
Fixed In Version: 1.1.0-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Save game file that causes the game to crash (188.24 KB, text/xml)
2007-12-15 18:03 EST, Wart
no flags Details

  None (edit)
Description Wart 2007-12-15 18:03:20 EST
Description of problem:
I've had a couple of core dumps with 8Kingdoms during normal gameplay lately,
but haven't been able to get a backtrace until now (see below)

Version-Release number of selected component (if applicable):
1.1.0-2.fc8.x86_64

How reproducible:
Always with the attached save file

Steps to Reproduce:
1. Start the game
2. Select 'Local game' and 'Load a saved game'
3. Select the attached 'autosave.xml' file and hit 'play'
4. In the game attributes screen, assign Role2, Role3, and Role4 to be computer
players with the default 'Normal' difficulty
5. Press 'play'
6. When the game starts it will be at the end of your turn.  Hit the 'end turn'
button and let the computer players take their turns.
  
Actual results:
The game starts showing the computer making its move, and crashes while the red
player is taking its turn.

Expected results:
The game continues on without crashing.

Additional info:

Core was generated by `8Kingdoms'.
Program terminated with signal 11, Segmentation fault.
#0  gui::TUnitMember::getModelDim (this=0x0, dim=0x7fffe8861198)
    at gui/model/guiUnit.cpp:347
347       *dim = inst->model_class->aabb.aabbDim.p2f;
(gdb) bt
#0  gui::TUnitMember::getModelDim (this=0x0, dim=0x7fffe8861198)
    at gui/model/guiUnit.cpp:347
#1  0x00000000004d160a in gui::TFormation::setStandardFormation (this=0x0, 
    p=<value optimized out>, d=<value optimized out>)
    at gui/model/UnitFormation.cpp:151
#2  0x00000000004c9324 in gui::TUnit::attack (this=0x3ff1c30, u=0x3cb7960, 
    b=0x2aaab5587e30, kills=0, loss=0, damage=0, akilled=25, dkilled=0, 
    bdestroyed=0, ah=0x41ee068, dh=0x41ee088) at gui/model/guiUnit.cpp:589
#3  0x0000000000489ced in gui::TGame::attackUnit (this=0x997290, rua=0x41ee020)
    at gui/contexts/Game.cpp:2637
#4  0x00000000004633d0 in gui::TGUI::pumpGameMessage (this=0x823a70)
    at gui/GUI.cpp:418
#5  0x0000000000490b46 in gui::TGame::workInput (this=0x997290, input=0x7ab224)
    at gui/contexts/Game.cpp:516
#6  0x000000000046e838 in gui::TScreen::processInput (this=0x3ff1c80)
    at gui/common/Screen.cpp:210
#7  0x000000000046ea9c in gui::TScreen::enterMainLoop (this=0x7ab1d0)
    at gui/common/Screen.cpp:139
#8  0x000000000046157c in gui::TGUI::main (this=<value optimized out>)
    at gui/GUI.cpp:199
#9  0x0000000000407f69 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at 8Kingdoms.cpp:515
#10 0x0000003ff921e074 in __libc_start_main () from /lib64/libc.so.6
#11 0x00000000004068c9 in _start ()
Comment 1 Wart 2007-12-15 18:03:20 EST
Created attachment 289709 [details]
Save game file that causes the game to crash
Comment 2 Hans de Goede 2008-01-03 16:46:17 EST
Thanks for reporting, I've managed to reproduce and fix this, a fixed build is
on its way to F-8 updates. bodhi will close this bug once the update has hit the
repo.
Comment 3 Fedora Update System 2008-01-06 20:15:15 EST
8Kingdoms-1.1.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-01-06 20:28:50 EST
8Kingdoms-1.1.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.